Bookmark and Share

Install system packages

sudo apt-get install gfortran libopenblas-base libopenblas-dev libzmq3-dev
sudo apt-get install python-qt4 python-zmq 

The following shew up as dependencies when I tried to install matplotlib in a virtual environment using pip install matplotlib:

sudo apt-get install libfreetype6-dev libpng12-dev

Install Python

sudo apt-get install python python-pip python-dev build-essentials
sudo apt-get install python3 python3-pip

Install IPython

sudo apt-get install ipython python-notebook

To install IPython with Python 3 [^pip3-ipython]:

sudo apt-get install ipython3 python3-notebook

Install Python packages

Use Ubuntu's package management system apt-get:

sudo apt-get install python-matplotlib
sudo apt-get install virtualenv vurtualenvwrapper

Use Python package management system pip:

pip install "ipython[all]"
pip install virtualenv
pip install virtualenvwrapper
pip install numpy
pip install scipy
pip install matplotlib
pip install pyzmq
pip install pygments

Use Anaconda Python distribution and its package management and environment management

This part is same on macOS or Ubuntu Linux. See installing and configuring Python on macOS.

Other packages

GraphLab, a machine-learning package

This part is same on macOS or Ubuntu Linux. See installing and configuring Python on macOS.

References

pip3 install ipython
blog comments powered by Disqus